<?xml version="1.0" encoding="UTF-8"?>
<!--
	WebSocketClient.xml
	Copyright (c) 2018 Rolado Islas
	Released under the MIT license
-->
<component name="WebSocketClient" extends="Task">

	<interface>
		<!-- Fields -->
		<field id="on_open" type="assocarray" alwaysNotify="true" />
		<field id="on_close" type="string" alwaysNotify="true" />
		<field id="on_message" type="assocarray" alwaysNotify="true" />
		<field id="on_error" type="assocarray" alwaysNotify="true" />
		<field id="STATE_CONNECTING" type="integer" />
		<field id="STATE_OPEN" type="integer" />
		<field id="STATE_CLOSING" type="integer" />
		<field id="STATE_CLOSED" type="integer" />
		<field id="ready_state" type="integer" alwaysNotify="true" />
		<field id="protocols" type="array" />
		<field id="headers" type="array" />
	    <!-- Functions -->
	    <field id="open" type="string" alwaysNotify="true" />
	    <field id="send" type="array" alwaysNotify="true" />
		<field id="close" type="array" alwaysNotify="true" />
	</interface>
	
	<script type="text/brightscript" uri="pkg:/components/DzLib/base/web_socket_client/WebSocketClient.brs" />
	<script type="text/brightscript" uri="pkg:/components/DzLib/base/web_socket_client/Logger.brs" />
	<script type="text/brightscript" uri="pkg:/components/DzLib/base/web_socket_client/ByteUtil.brs" />
</component>
